Post Reply 
 
Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
old synology NAS
06-09-2012, 11:01
Post: #1
old synology NAS
I have a old Synology DS107. According to some web info, it's hardware is:

DS107 Freescale mpc8241 PPC Processor SATA, 64-bit Memory Bus, 64MB of RAM

Does that mean it won't work with minimServer?

I was waiting for Synology support but couldn't wait and bought a QNAP 212 and enjoying minimServer. Now Synology is supported but looks like my old model won't work afterall! Anyway, that's fine! Smile
Find all posts by this user
Quote this message in a reply
06-09-2012, 11:25 (This post was last modified: 06-09-2012 11:27 by winxi.)
Post: #2
RE: old synology NAS
(06-09-2012 11:01)psme Wrote:  I have a old Synology DS107. According to some web info, it's hardware is:

DS107 Freescale mpc8241 PPC Processor SATA, 64-bit Memory Bus, 64MB of RAM

Does that mean it won't work with minimServer?

I was waiting for Synology support but couldn't wait and bought a QNAP 212 and enjoying minimServer. Now Synology is supported but looks like my old model won't work afterall! Anyway, that's fine! Smile

Hi, in principle the MinimServer Package should work even with your old Synology NAS, presumed that it runs the latest firmware available for the DS107 (DSM 3.1-1636).
Practically, a severe limitation of the Synology PowerPC devices is that they provide just an old version of glibc (2.3.4). The Oracle JRE for PowerPc needs at least glibc 2.4, and I'm not sure about MinimServer's requirements for glibc.
So, if you really need to install MinimServer on this old device, you first have to find a way to bring a more recent version of glibc onto the NAS (which may turn out to be difficult) and then install Java.

winxi
Find all posts by this user
Quote this message in a reply
06-09-2012, 11:25
Post: #3
RE: old synology NAS
(06-09-2012 11:01)psme Wrote:  I have a old Synology DS107. According to some web info, it's hardware is:

DS107 Freescale mpc8241 PPC Processor SATA, 64-bit Memory Bus, 64MB of RAM

Does that mean it won't work with minimServer?

I was waiting for Synology support but couldn't wait and bought a QNAP 212 and enjoying minimServer. Now Synology is supported but looks like my old model won't work afterall! Anyway, that's fine! Smile

MinimServer only supports Intel and ARM processors. Your DS107 has a PowerPC processor, so it won't be able to run MinimServer.
Find all posts by this user
Quote this message in a reply
06-09-2012, 11:30 (This post was last modified: 06-09-2012 11:31 by winxi.)
Post: #4
RE: old synology NAS
(06-09-2012 11:25)admin Wrote:  MinimServer only supports Intel and ARM processors. Your DS107 has a PowerPC processor, so it won't be able to run MinimServer.

Ups, so please ignore my post from above. It is not worth the effort trying to install another version of glibc, as MinimServer does not support PowerPc itself.
Find all posts by this user
Quote this message in a reply
Post Reply 


Forum Jump:


User(s) browsing this thread: 1 Guest(s)